import { View, Image, Text } from '@tarojs/components'
import './index.less'
import { Switch, Slider } from "@taroify/core"
import ble from "@/assets/ble.png";
import soundCard from "@/assets/soundCard.png";
import game from "@/assets/game.png";
import ai from "@/assets/ai.png";

export default function Index() {
  const sourceList = ['Line', 'OPT', 'ARC', 'USB']
  return (
    <View className="index">
      <View className="headbox">
        <View className="source">
          <View className="title">音乐信号(音源)</View>
          <View className="list">
            {
              sourceList.map((item, index) => {
                return <View className={`list-item ${index == 0 ? 'active' : ''}`} key={index}>
                  <View className="yuan"></View>
                  <View className="line"></View>
                  <View className="text">{item}</View>
                </View>
              })
            }

          </View>
        </View>

        <View className="switch">
          <View className="title">开关状态</View>
          <View className="switch-item">
            <Image className='img' src={ble} />
            <Text className='text'>蓝牙</Text>
            <Switch size="20" />
          </View>
          <View className="switch-item">
            <Image className='img' src={soundCard} />
            <Text className='text'>声卡</Text>
            <Switch size="20" />
          </View>
        </View>
      </View>
      <View className='play'>
        <View className='play-icon pre'></View>
        <View className='play-play'></View>
        <View className='play-icon next'></View>
      </View>
      <View className='card'>
        <View className='funitem'>
          <View className='funitem-text'>音乐音量</View>
          <View className='mode'>
            <View className='icon l'></View>
            <View className='input'>MODE 1</View>
            <View className='icon r'></View>
          </View>
        </View>
      </View>
      <View className='card'>
        <View className='funitem'>
          <View className='funitem-text'>超低音强度</View>
          <View className='mode'>
            <View className='icon l'></View>
            <View className='input'>+ 1</View>
            <View className='icon r'></View>
          </View>
        </View>
      </View>
      <View className='card'>
        <View className='funitem'>
          <View className='funitem-text'>话筒音量</View>
          <View className='funitem-right'>
            <View className='num'>50%</View>
            <Slider className="custom-color" size={4} defaultValue={50} />
          </View>
        </View>
      </View>
      <View className='card'>
        <View className='funitem'>
          <View className='funitem-text'>话筒音量</View>
          <View className='funitem-right'>
            <View className='num'>50%</View>
            <Slider className="custom-color" size={4} defaultValue={50} />
          </View>
        </View>
        <View className='funitem'>
          <View className='funitem-text'>话筒混响音量</View>
          <View className='funitem-right'>
            <View className='num'>50%</View>
            <Slider className="custom-color" size={4} defaultValue={50} />
          </View>
        </View>
        <View className='funitem'>
          <View className='funitem-text'>话筒混响模式</View>
          <View className='numlist'>
            <View className='numlist-num active'>1</View>
            <View className='numlist-num'>2</View>
            <View className='numlist-num'>3</View>
            <View className='numlist-num'>4</View>
            <View className='numlist-num'>5</View>
            <View className='numlist-num'>6</View>
          </View>
        </View>
      </View>
      <View className='btns'>
        <View className='btn-item'>
          <Image src={game} className='img' />
          GAME
        </View>
        <View className='btn-item'>
          <Image src={ai} className='img' />
          AI
        </View>
      </View>
    </View>
  )
}
